package com.engine.mzg.service.impl;

import com.engine.core.impl.Service;
import com.engine.mzg.service.RecruitDemandService;
import weaver.conn.RecordSet;
import weaver.general.Util;

import java.util.HashMap;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2024/08/29
 * @version: 1.0
 */
public class RecruitDemandServiceImpl extends Service implements RecruitDemandService {
    @Override
    public Map<String, Object> getStaffNum(Map<String, Object> param) {
        Map<String, Object> returnMap = new HashMap<>();
        RecordSet rs = new RecordSet();
        String sqbm = Util.null2String(param.get("sqbm"));
        String xqgw = Util.null2String(param.get("xqgw"));


        rs.executeQuery("select a.staff_num, a.permanent_num from jcl_org_staff a inner join JCL_ORG_STAFFPLAN b on a.plan_id = b.id and b.forbidden_tag = 0 and b.delete_type = 0 where a.delete_type = 0 and a.ec_department = ? and a.job_id = ? order by a.id desc", sqbm, xqgw);
        if(rs.next()) {
            String staffNum = rs.getString("staff_num");
            String permanentNum = rs.getString("permanent_num");
            returnMap.put("staffNum", staffNum);
            returnMap.put("permanentNum", permanentNum);
        }

        return returnMap;
    }
}
